norm.HMM.pw2pn <-
function(m,parvect)                 
{                                                     
 epar   <- exp(parvect)                              
 sigma <- epar[1:m]                                   
 gamma  <- diag(m)                                    
 if(m>1)                                               
   {                                                  
   gamma[!gamma] <- epar[(m+1):(m*m)]                  
   gamma         <- gamma/apply(gamma,1,sum)          
   }                                                   
 delta  <- solve(t(diag(m)-gamma+1),rep(1,m))          
 list(sigma=sigma,gamma=gamma,delta=delta)           
}

