\name{EM-Test-class}
\Rdversion{1.1}
\docType{class}
\alias{EM-Test-class}
\alias{show,EM-Test-method}

\title{Class "EM-Test" }
\description{	 Objects of this class are the returned value of \code{\link{em_test_normal_sigma}}.
}
\section{Slots}{
	 \describe{
    \item{\code{data}:}{the given dataset}
    \item{\code{mean_data}:}{the mean of the original dataset}
    \item{\code{m0}:}{the number of regimes unter the hypothesis}
    \item{\code{p_value}:}{p-value of the test}
    \item{\code{LR}:}{the likelihood ratio value}
    \item{\code{loglikelihood_hyp}:}{value of the likelihoodfunction under the hypothesis}
    \item{\code{loglikelihood_alter}:}{value of the likelihoodfunction under the alternative}
    \item{\code{mle_hyp}:}{estimated stationary mixing proportions and standard deviations of the regimes}
    \item{\code{mle_alter}:}{same as mle_hyp, but for 2*m0 regimes}
  }
}
\section{Methods}{
  \describe{
  We provide the following methods for a EM-Test object:
    \item{plot}{see \code{\link{plot-methods}}}
    \item{show}{the visualisation of an object}
	 }
}


