norm.HMM.forecast.prop <-
function(x,m,sigma,gamma, 
       delta=NULL,xrange=NULL,H=1,...)          
{                                               
 if(is.null(delta))                             
       delta<-solve(t(diag(m)-gamma+1),rep(1,m))   
 n <- length(x)           
 pnorm0=function(x,sigma)
 {
  y=pnorm(x,mean=0,sd=sigma)
 }               
 allprobs <- outer(x,sigma,pnorm0)              
 allprobs <- ifelse(!is.na(allprobs),allprobs,1)   
 foo      <- delta*allprobs[1,]                 
 sumfoo   <- sum(foo)                           
 lscale   <- log(sumfoo)                        
 foo      <- foo/sumfoo                         
 for (i in 2:n)                                 
   {                                            
   foo    <- foo%*%gamma*allprobs[i,]           
   sumfoo <- sum(foo)                          
   lscale <- lscale+log(sumfoo)                 
   foo    <- foo/sumfoo                         
   }                                            
 xi       <- matrix(NA,nrow=m,ncol=H)           
 for (i in 1:H)                                 
   {                                            
   foo    <- foo%*%gamma                        
   xi[,i] <- foo                                
   }                                                          
 list(xi=xi)   
#ausgegeben werden die Gewichte xi (siehe Seite 79, Gleichung (5.5) in Zucchini)          
}

