norm.HMM.generate_sample <-
function(n,m,sigma,gamma,delta=NULL)                     
{                                                           
 if(is.null(delta))delta<-solve(t(diag(m)-gamma+1),rep(1,m))    
 mvect <- 1:m                                               
 state <- numeric(n)                                        
 state[1] <- sample(mvect,1,prob=delta)                     
 for (i in 2:n)
 {                                             
   state[i]<-sample(mvect,1,prob=gamma[state[i-1],])   
 }
 x=numeric(n)     
 for (i in 1:n)
 {
  x[i] <- rnorm(1,mean=0,sd=sigma[state[i]])
 }
ans=list()                      
ans$x=x
ans$state=state   
return(ans)                                                       
}

