norm.HMM.viterbi <-
function(x,m,sigma,gamma,delta=NULL,...) 
{                                                           
 if(is.null(delta))delta<-solve(t(diag(m)-gamma+1),rep(1,m))   
 n         <- length(x)           
 dnorm0=function(x,sigma)
 {
  y=dnorm(x,mean=0,sd=sigma)
 }                          
 normprobs <- outer(x,sigma,dnorm0)                         
 xi        <- matrix(0,n,m)                                
 foo       <- delta*normprobs[1,]                          
 xi[1,]    <- foo/sum(foo)                                 
 for (i in 2:n)                                             
   {                                                        
   foo    <- apply(xi[i-1,]*gamma,2,max)*normprobs[i,]      
   xi[i,] <- foo/sum(foo)                                   
   }                                                        
 iv<-numeric(n)                                             
 iv[n]     <-which.max(xi[n,])                             
 for (i in (n-1):1)                                         
   iv[i] <- which.max(gamma[,iv[i+1]]*xi[i,])               
 iv                                                         
}

