price2logreturn <-
function(link=NA, prices=NA){

  if(!is.na(link)){
    data = read.csv(link)
    dataset = data$Adj.Close[length(data$Close):1]
    returns = log(dataset[2:length(dataset)]/dataset[1:(length(dataset)-1)])*100
  }
  else{
    dataset = prices
    returns = log(dataset[2:length(dataset)]/dataset[1:(length(dataset)-1)])*100
  }

  return(returns)

}

