\name{norm.HMM.forecast.prop}
\alias{norm.HMM.forecast.prop}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Forecast
}
\description{
The forecast distribution can be written as a mixture of the state-dependent pdfs.
}
\usage{
norm.HMM.forecast.prop(x, m, sigma, gamma, delta = NULL, xrange = NULL, H = 1, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
sample 
}
  \item{m}{
number of states of the hidden Markov chain
}
  \item{sigma}{
state dependent variances (estimated via MLE)
}
  \item{gamma}{
transition probability matrix (tpm) of the hidden Markov chain (usually estimated via MLE)
}
  \item{delta}{
initial distribution of the hidden Markov chain (DEFAULT: stationary distribution corresponding to the tpm gamma)
}
  \item{xrange}{
...
}
  \item{H}{
time horizon
}
  \item{\dots}{
...
}
}
\value{
a mxH matrix xi where xi[,h] corresponds to the weights of the forecast distribution of X_{t+h}|X_t,X_{t-1},... 
}

