\name{norm.HMM.pn2pw}
\alias{norm.HMM.pn2pw}
\title{
Natural parameters to working parameters
}
\description{
Transforms the natural parameters of an m-state Hidden Markov Model into a vector of unconstrained working parameters.
}
\usage{
norm.HMM.pn2pw(m, sigma, gamma)
}

\arguments{
  \item{m}{
number of states
}
  \item{sigma}{
m component vector with standard deviations
}
  \item{gamma}{
tpm
}
}
\value{
A list with unconstrained working parameters.
}