\name{norm.HMM.viterbi}
\alias{norm.HMM.viterbi}

\title{
Viterbi algorithm
}
\description{
Computes the most likely sequence of states, given the parameters and observations.
}
\usage{
norm.HMM.viterbi(x, m, sigma, gamma, delta = NULL, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
sample
}
  \item{m}{
number of states of the hidden Markov chain
}
  \item{sigma}{
state dependent variances (usually estimated via MLE)
}
  \item{gamma}{
transition probability matrix (tpm) of the hidden Markov chain (usually estimated via MLE)
}
  \item{delta}{
initial distribution of the hidden Markov chain (DEFAULT: stationary distribution of the Markov chain corresponding to the tpm gamma)
}
  \item{\dots}{
...
}
}

\value{
Vector vi of length n, where vi[i] gives the state at time i.
}