\name{plot-methods}
\docType{methods}
%\alias{plot-methods}
\alias{plot,EM-Test-method}



\title{Plot method for EM-Test objects}
\description{
 This method allows you to use the plot function for an object of the \code{\link{EM-Test-class}}.  
}
\section{Methods}{
\describe{
\item{x = "EM-Test"}{ The function plots three densities: the empirical, the density of the estimation under the hypothesis and the the density of the estimation under the alternative.}
}}
\keyword{methods}

\examples{

  x = c(rnorm(500,sd=1),rnorm(500,sd=5),rnorm(500,sd=10))
  erg = em_test_normal_sigma(x,2)
  erg
  plot(erg)

}